All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class Consumer

    com.sas.services.deployment.Consumer

All Implemented Interfaces:
  java.lang.Cloneable

    public final class Consumer

implements java.lang.Cloneable

A Consumer is an application which may consume resources within a foundation service's configuration.

Since:
  9.2

Constructor Summary
`Consumer(org.w3c.dom.Element element)` Constructs a consumer from an XML "Consumer" Element.
`Consumer(java.lang.String name)` Constructs a consumer using the specified name.

Method Summary
`java.lang.Object` | `clone()` Clones this object.
`org.w3c.dom.Element` | `createElement(org.w3c.dom.Document document)` Creates an XML Element representing this Consumer.
`java.lang.String` | `getID()` Gets the consumer's ID.
`java.lang.String` | `getName()` Gets the consumer's name.
`void` | `setName(java.lang.String name)` Sets the consumer's name.
`java.lang.String` | `toString()` Gets a string representation of this consumer.

Constructor Detail

### Consumer

    public Consumer(java.lang.String name)

  Constructs a consumer using the specified name.

  Parameters:
    `name` - Consumer's name.

### Consumer

    public Consumer(org.w3c.dom.Element element)

  Constructs a consumer from an XML "Consumer" Element.

  Parameters:
    `element` - "Consumer" XML Element.

Method Detail

### getName

    public java.lang.String getName()

  Gets the consumer's name.

  Returns:
    Consumer's name.

### setName

    public void setName(java.lang.String name)

  Sets the consumer's name.

  Parameters:
    `name` - Consumer's name.

### getID

    public java.lang.String getID()

  Gets the consumer's ID.

  Returns:
    Consumer's ID.

### createElement

    public org.w3c.dom.Element createElement(org.w3c.dom.Document document)

  Creates an XML Element representing this Consumer.

  Parameters:
    `document` - XML document which will be used to create this Element.
  Returns:
    XML Element representing this Consumer.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Clone of this Consumer.
  Throws:
    `java.lang.CloneNotSupportedException` - if unable to clone.

### toString

    public java.lang.String toString()

  Gets a string representation of this consumer.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Non-localized string that presents "Consumer[name=xx][id=xx]".

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.